Bug 1852429 - Login with OpenShift not working after cluster upgrade [NEEDINFO]
Summary: Login with OpenShift not working after cluster upgrade
Keywords:
Status: ASSIGNED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Jenkins
Version: 4.3.z
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.3.z
Assignee: Vibhav Bobade
QA Contact: Jitendar Singh
URL:
Whiteboard:
Depends On: 1865889
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-06-30 12:09 UTC by Radomir Ludva
Modified: 2021-02-11 09:16 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:
rludva: needinfo? (jkhelil)


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-samples-operator pull 295 0 None closed [release-4.3] Bug 1852429: Fix Jenkins Monitored templates typo and other updates 2021-02-01 03:57:00 UTC

Description Radomir Ludva 2020-06-30 12:09:36 UTC
Description:
------------
OAuth should log in current user into Jenkins. When creating a new project and adding a Jenkins Pipeline. We are not able to login current OpenShift user. 


Version-Release:
----------------
OCP v4.3.23


Actual results:
---------------
Users cannot log into Jenkins and Kibana using the Oauth.


Additional info:
----------------
Master nodes have 15.3Gb of RAM so it is not the minimum requirement, but this should not be the root cause.

Comment 2 Standa Laznicka 2020-06-30 12:33:07 UTC
"We are not able to login current OpenShift user" why? When? What error do you see? What have you done to troubleshoot it? Don't make me do the investigation you (hopefully) did for the second time.

Comment 3 Standa Laznicka 2020-07-01 08:42:44 UTC
Added "LifecycleStale".

If you have further information on the current state of the bug, please update it, otherwise this bug will be automatically closed in 7 days. The information can be, for example, that the problem still occurs, that you still want the feature, that more information is needed, or that the bug is (for whatever reason) no longer relevant.

Comment 4 Radomir Ludva 2020-07-07 08:26:47 UTC
Hello, yes we can still see this error with the customer:

1. Warning: ServiceAccount 'jenkins-operator' not found
- Seem we are not using the jenkins operator.

2. Create new project jenkins-test
- I'm adding jenkins from the catalog
- Call the URL
- Log in with Openshift
- Asked for "Authorize Access" ...
- javax.net.ssl.SSLHandshakeException: Remote host terminated the handshake

Comment 5 Standa Laznicka 2020-07-07 14:51:26 UTC
I really can't tell what's going on from the provided description, then again, my knowledge of how Jenkins gets deployed in OpenShift equals zero. Perhaps people of the Jenkins component will know.

Comment 6 Vibhav Bobade 2020-07-09 07:05:07 UTC
Hello Team,

Can we have more information on this bug ?

``
export JENKINS_POD_NAME=jenkins-1-pnddz
export JENKINS_NAMESPACE=jenkins-test
mkdir bug-1852429 && cd bug-1852429
for plugin in `oc exec $JENKINS_POD_NAME ls /var/lib/jenkins/plugins -n $JENKINS_NAMESPACE | grep -v '.jpi'`; 
do mkdir -p ./$plugin/META-INF;
oc cp $JENKINS_POD_NAME:/var/lib/jenkins/plugins/$plugin/META-INF ./$plugin/META-INF -n $JENKINS_NAMESPACE;
echo "copied $plugin"
done
```
The above will create a bug-1852429 dir which can be archived. Do send it to us.

```
export JENKINS_POD_NAME=jenkins-1-pnddz
oc exec $JENKINS_POD_NAME cat /var/lib/jenkins/config.xml | grep version
```
Also please provide output for the command above.

Regards,
Vibhav

Comment 7 Radomir Ludva 2020-07-13 08:33:10 UTC
<?xml version='1.1' encoding='UTF-8'?>
  <version>2.204.2</version>

Comment 16 Jitendar Singh 2020-10-19 08:48:38 UTC
Jenkins pod doesnt come up.

Comment 18 Radomir Ludva 2021-01-18 08:33:00 UTC
Do we have any information that I may share with the customer according to this Bugzilla?
I expect that it was dropped from the advisory RHSA-2020:4264 because some tests failed.

While OCP v4.3 is not supported I am not sure if the same issue is in newer versions of OCP.

Comment 19 Jitendar Singh 2021-02-04 05:22:23 UTC
@jawed can you please look into this.


Note You need to log in before you can comment on or make changes to this bug.